@mixin det-clinical-review-theme($theme) {
    $primary: map-get($theme, primary);
    $warn: map-get($theme, warn);
    $accent: map-get($theme, accent);
  
    app-clinical-review {
      width: 100%;
      padding: 5px;
      overflow-x: hidden;
    }

    .clinical-review {
      margin-top: 25px !important;
      display: flex;
      flex-direction: column;
      //padding: 5px;
      background-color: mat-color($primary, 50);
      
      .clinical-review-main-card {      
        display: flex;
        flex-direction: column;
        margin-top: 7px !important;
        padding: 0px !important;
        background-color: mat-color($primary, 50);
  
        .mat-card-content {  
          margin-top: 10px;
          .clinical-review-small-box {
            display: flex;
            align-items: center;
            justify-content: center;
            background: white;
            
            .clinical-review-container {
              display:flex;
              width: 100%;
              margin-right: 10px;
              margin-left: 10px;
              border-radius: 5px !important;
              form {
                padding-left: 10px;
                padding-right: 10px;
                padding-bottom: 10px;
                padding-top: 10px;
              }

            }

            textarea {
              resize: none;
              height: 30px !important;
              width: 100% !important;
              padding-top: 1px !important;
            }

            textarea[disabled] {
              resize: none;
              height: 30px !important;
              width: 100% !important;
              padding-top: 1px !important;
              background-color: lightgray;
            }
      
            .mat-form-field-subscript-wrapper {
              font-size: 100%;
              margin-top: 0em;
              top: calc(100% - 1.5em);
            }
    
            mat-form-field {
                margin-right: 10px;
                vertical-align: middle;
            }

            .align-center{
              align-self: center;
              padding-right: 10px;
            }

            div .mat-form-field-infix {
              position: unset!important;
              padding-top: 3px !important;
              padding-bottom: 10px !important;
            }

            div .mat-form-field-wrapper {
              padding-bottom: 0.34375em !important;
            }
      
            mat-icon{
                vertical-align: middle !important;
            }
      
            // mat-card{
            //   padding-left: 0px !important;
            //   padding-top: 1px !important;
            //   padding-right: 1px !important;
            //   padding-bottom: 5px !important;
            // }
            
            .font-color-red
            {
              color:red;
            }

            div .radio-button-space
            {
              width: 60px !important;
              display: inline-block;
            }

            .mat-tab-label {
              background: #BDBDBD;
              border-radius: 10px 10px 0px 0px;
              margin-right: 10px;
              height: 30px !important;
              padding: 10px;
                    font-size: 1.1em;
                    margin-top: 10px;
            }
            .mat-tab-label-active {
              opacity: 1 !important;
              background-color: mat-color($primary);
              color: white;
            }
            .mat-tab-label-content {
              padding: 0!important;
              width: 100%;
            }

            // .mat-checkbox-layout {
            //   padding-right: 10px !important;
            // }
      
            .clinical-review-container > * {
                width: 100%;
            } 

            .col1header  {    
              border: 1px solid lightgrey;
              padding: 10px;
              height:35px;    
              text-align: left; 
              align-items: left;  
              color: white;
              background: #5c6bc0; 
            }
            .col2header  {    
              border-top: 1px solid lightgrey;
              border-bottom: 1px solid lightgrey;
              border-right: 1px solid lightgrey;
              padding: 10px;
              height: 35px;    
              text-align: left; 
              color: white;
              background: #5c6bc0; 
              align-items: center;
            }

            .col1  {    
                display:flex;     
                overflow-wrap: auto; 
                flex-grow: auto;
                margin:0 !important;
                padding: 10px;
                //height:40px;    
                //border: 1px solid lightgrey; 
                border-left: 1px solid lightgrey; 
			          border-bottom: 1px solid lightgrey; 
			          border-right: 1px solid lightgrey; 
                align-items: left;
            }

            .col1-padding-left  {    
              display:flex;     
              overflow-wrap: auto; 
              flex-grow: auto;
              margin:0 !important;
              padding-left: 10px;
              padding-top: 4px;
              //border: 1px solid lightgrey; 
              border-left: 1px solid lightgrey; 
			        border-bottom: 1px solid lightgrey; 
			        border-right: 1px solid lightgrey; 
              align-items: left;
            }
 
            .col2  { 
                display:flex;   
                flex-flow: row wrap;
                flex-grow: auto;    
                margin:0 !important;
                padding: 10px;
                padding-top: unset !important;
                //border: 1px solid lightgrey;
                border-right: 1px solid lightgrey;
                border-bottom: 1px solid lightgrey;
                background-color: #FEFAC0;
            }

            // span .padding-left{
            //   padding-left: 3px;
            //   padding-top: 2px;
            // }

            .padding-left-20
            {
              padding-left: 20px !important;
              color: #5c6bc0;
            }

            .disableDiv{
              pointer-events:none;
            }

            div .margin-left-10{
              margin-left: 10px;
            }

            .explainSource-padding-top-10
            {
              padding-top: 10px !important;
            }

            .clinicalReview-expansion-label {
              font-size: 14px;
              padding-right: 10px;
              padding-left: 5px;
              font-weight: normal;
              align-self: center;
            }
          }        
        }
        mat-card {
          padding: 5px;
          border-radius: 0;
        }	
      }

      .mat-form-field-subscript-wrapper 
      {
          font-size: 100%;
          margin-top: 0em;
          top: calc(100% - 1.5em);
      }
    .content-main 
    {
      display: flex;
      flex-flow: column wrap;
      margin-bottom: 5px!important;
        .content-sub 
        {
            display: flex;
            align-items: center;
            .content-sub-button-parent-left {
                order: 1;
                flex: 1 1 auto;
                justify-content: flex-start;
            }
            .content-sub-button-parent-right {
                order: 2;
                flex: 1 1 auto;
                justify-content: flex-end;
                text-align: right;
            }
         }     
      }
      .mat-expansion-panel {
        margin-top: 0!important;
      }
  }
}
